
## SETTING UP PYTHON ENVIRONMENT

- Activate venv

[] source virtual-env/bin/activate

- Install packages

[] pip install -r requirements.txt

## SETTING UP KAFKA SERVER

- Download Kafka server

[] wget https://dlcdn.apache.org/kafka/3.9.0/kafka_2.13-3.9.0.tgz
[] tar -xzf kafka_2.13-3.9.0.tgz
[] cd kafka_2.13-3.9.0

- Setup env variables

[] KAFKA_CLUSTER_ID="$(bin/kafka-storage.sh dragons-1)"
[] bin/kafka-storage.sh format --standalone -t $KAFKA_CLUSTER_ID -c config/kraft/reconfig-server.properties

- Start server

[] bin/kafka-server-start.sh config/kraft/reconfig-server.properties